Issue1152

classification
Title: Document difference between StringUtil.asPyString() and str()
Type: Severity: normal
Components: Documentation Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: leosoto
Priority: normal Keywords:

Created on 2008-10-14.03:59:34 by leosoto, last changed 2009-06-01.23:23:36 by leosoto.

Messages
msg3679 (view) Author: Leonardo Soto (leosoto) Date: 2008-10-14.03:59:34
After r5390, we have to explictely mark when java strings should be used
as bytestrings. On Python code we do it with StringUtil.asPyString(),
but it is not clear why str() is not enough.
msg3680 (view) Author: Leonardo Soto (leosoto) Date: 2008-10-14.04:03:52
On <http://pylonshq.com/irclogs/%23jython/%23jython.2008-10-13.log.html>
I dumped the answer. Now I should write it on a better way, on the wiki...
msg4780 (view) Author: Leonardo Soto (leosoto) Date: 2009-06-01.23:23:35
Documented on:

http://wiki.python.org/jython/JythonDeveloperGuide/UsingPyNewStringFromPythonCode
History
Date User Action Args
2009-06-01 23:23:36leosotosetstatus: open -> closed
resolution: fixed
messages: + msg4780
2008-12-17 19:58:14fwierzbickisetpriority: normal
2008-10-14 04:03:52leosotosetmessages: + msg3680
2008-10-14 03:59:34leosotocreate